# NCSA logger

The ncsa logger implements the NCSA log format.

### Parameters

This logger module accepts two parameters:

- AccessLog path: Specifies the file where the access information has to be written.
- ErrorLog path: Sets the full path to the errors log file.

If some of the parameters are not set, it will write the messages to syslog instead of writting it into a file.

### Examples

    Log ncsa

Use NCSA logger to send all the logging information to syslog.

    Log ncsa {
        AccessLog /var/log/cherokee.access
        ErrorLog  /var/log/cherokee.error
    }

It uses the NCSA logger to write two different logs: one for accesses and other for errors.